Bug 1042 - crash in pam_smbpass when used with SWAT
crash in pam_smbpass when used with SWAT
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: SWAT
3.0.1
All Linux
: P3 normal
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-06 13:43 UTC by Petr Blaha
Modified: 2005-11-14 09:25 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Blaha 2004-02-06 13:43:31 UTC
I just installed a samba-3.0.1 from sources, and I have an INTERNAL ERROR when I
launch swat:
[2004/02/06 21:06:11, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 11 in pid 10543 (3.0.1)
  Please read the appendix Bugs of the Samba HOWTO collection
[2004/02/06 21:06:11, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2004/02/06 21:06:11, 0] lib/util.c:smb_panic(1400)
  PANIC: internal error
[2004/02/06 21:06:11, 0] lib/util.c:smb_panic(1408)
  BACKTRACE: 26 stack frames:
   #0 swat(smb_panic+0x181) [0x80c001d]
   #1 swat [0x80b09f2]
   #2 swat [0x80b0a3b]
   #3 /lib/tls/libc.so.6 [0x420275c8]
   #4 swat(standard_sub_basic+0x258) [0x80c5945]
   #5 /lib/security/pam_smbpass.so [0x4057009f]
   #6 /lib/security/pam_smbpass.so(lp_codepagedir+0x2c) [0x40570d3c]
   #7 /lib/security/pam_smbpass.so [0x4055bde3]
   #8 /lib/security/pam_smbpass.so(codepage_initialise+0x8b) [0x4055c57b]
   #9 /lib/security/pam_smbpass.so(pam_sm_authenticate+0x4a) [0x4054c6ba]
   #10 /lib/libpam.so.0 [0x40051c09]
   #11 /lib/libpam.so.0(_pam_dispatch+0xd3) [0x40051d93]
   #12 /lib/security/pam_stack.so [0x405089b2]
   #13 /lib/security/pam_stack.so(pam_sm_authenticate+0x2e) [0x40507d1e]
   #14 /lib/libpam.so.0 [0x40051c09]
   #15 /lib/libpam.so.0(_pam_dispatch+0xd3) [0x40051d93]
   #16 /lib/libpam.so.0(pam_authenticate+0x48) [0x40053868]
   #17 swat [0x80d8feb]
   #18 swat(smb_pam_passcheck+0x5e) [0x80d9ec8]
   #19 swat [0x80da235]
   #20 swat(pass_check+0xbd) [0x80da300]
   #21 swat(strftime+0x123c) [0x8060c98]
   #22 swat(cgi_setup+0x1f2) [0x806114f]
   #23 swat(main+0x11c) [0x8064f49]
   #24 /lib/tls/libc.so.6(__libc_start_main+0xe4) [0x42015574]
   #25 swat(chroot+0x31) [0x80604fd]
Comment 1 Petr Blaha 2004-02-06 13:57:47 UTC
Linux 2.4.20smp030509 #1 SMP Pá záø 5 14:35:23 CEST 2003 i686 i686 i386 GNU/Linux,
Comment 2 Gerald (Jerry) Carter 2004-03-12 07:11:31 UTC
pam_smbpasswd segfault.  Not swat.  Rassigning component.
Comment 3 Gerald (Jerry) Carter 2004-03-18 10:06:30 UTC
Looking again, this is in swat and I think the 
standard_sub_basic() bug has been fixed.
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:16:22 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 5 Gerald (Jerry) Carter 2005-11-14 09:25:22 UTC
database cleanup